Disable API token
Disable a specific API token.
Disable API token. Changes API token state to Disabled. Available for all account types (Operations account, Client account, Vendor account). Returns the updated API token object.
Path parameters
idstringRequired
API token identifier.
Responses
200
OK
application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstringOptional
descriptionstring · nullableOptional
lastAccessAtstring · date-time · nullableOptional
tokenstringOptional
400
Bad Request
application/json
404
Not Found
application/json
post/public/v1/accounts/api-tokens/{id}/disable
POST /public/v1/accounts/api-tokens/{id}/disable HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "TKN-4134-7330",
"revision": 2,
"name": "Robot",
"description": "Token for ERP integration",
"status": "Disabled",
"account": {
"id": "ACC-1234-5678",
"name": "Microsoft"
},
"modules": [
{
"id": "MOD-1756-1452"
}
],
"audit": {
"created": {
"at": "2024-02-01T09:12:23+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"updated": {
"at": "2024-02-02T10:05:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
},
"disabled": {
"at": "2024-02-02T10:05:00+00:00",
"by": {
"id": "USR-0001",
"name": "Ops User"
}
}
}
}Last updated
Was this helpful?